Name:		jsqlparser
Version:	0.8.1
Release:	%mkrel 2
Group:		Development/Java
License:	LGPL
Summary:	Parse SQL into Java classes
Url:		https://github.com/wumpz/JSqlParser
# git clone https://github.com/wumpz/JSqlParser.git
# git archive origin --prefix=jsqlparser-%{version}/ | lzma -9 > jsqlparser-%{version}.tar.lzma
Source:		%{name}-%{version}.tar.lzma

BuildArch:      noarch

BuildRequires:  jpackage-utils

BuildRequires:  java-devel

BuildRequires:	maven

BuildRequires:	maven-compiler-plugin
BuildRequires:	maven-install-plugin
BuildRequires:	maven-jar-plugin
BuildRequires:	maven-javadoc-plugin
BuildRequires:	maven-release-plugin
BuildRequires:	maven-resources-plugin
BuildRequires:	maven-surefire-plugin
BuildRequires:	maven-clean-plugin
BuildRequires:	maven2-common-poms
BuildRequires:	javacc-maven-plugin

Requires:	jpackage-utils

Requires(post):	jpackage-utils
Requires(postun):	jpackage-utils

Requires:       java

%description
JSqlParser parses an SQL statement and translate it into a
hierarchy of Java classes.
The generated hierarchy can be navigated using the Visitor
Pattern.

%package javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn \
        -e \
        -Dmaven2.jpp.mode=true \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        package javadoc:javadoc

%install

# jars
install -d -m 755 %{buildroot}%{_javadir}

install -m 644 target/jsqlparser-%{version}-SNAPSHOT.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
ln -s ${jar} ${jar/-%{version}/}; done)

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml \
               %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap %{name} %{name} %{version} JPP %{name}

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -fr target/site/api*

%add_to_maven_depmap project_group_id project_artifact_id %{version} JPP %{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.8.1-2.mga3
+ Revision: 355636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 matteo <matteo> 0.8.1-1.mga3
+ Revision: 325353
- spec cleanup
- imported package jsqlparser

